import "reflect-metadata";
import { TypeLike } from '../typeslike';
export declare class GenericNode {
    gType: TypeLike<any>;
    gParams: Array<TypeLike<any> | GenericNode>;
    gParent: GenericNode;
    toString(): string;
}
export interface GenericNodeDelegate {
    (): GenericNode;
}
export declare class GenericNodeNotNow {
    private _genericNodeCallback;
    constructor(_genericNodeCallback: GenericNodeDelegate);
    genericNodeCallback: GenericNodeDelegate;
}
export declare class GenericTokenizer {
    private _tree;
    private currNode;
    private lastToken;
    private ltGtCount;
    readonly tree: GenericNode;
    static create(): GenericTokenizer;
    tp(type: TypeLike<any>): GenericTokenizer;
    lt(): GenericTokenizer;
    gt(): GenericTokenizer;
    comma(): GenericTokenizer;
    static resolveNode(entityObj: any, keyItem: string): GenericNode;
}
