var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as memStreams from 'memory-streams';
var MemStreamReadableStreamAutoEnd = /** @class */ (function (_super) {
    __extends(MemStreamReadableStreamAutoEnd, _super);
    function MemStreamReadableStreamAutoEnd(contents) {
        var _this = _super.call(this, contents) || this;
        _this.constructing = true;
        _this.dataCbAdded = false;
        try {
            _this.addListener('readable', _this.readableCb);
        }
        finally {
            _this.constructing = false;
        }
        return _this;
    }
    // public push(chunk: any, encoding?: string): boolean {
    //     throw new Error('Not alowed!!!');
    // }
    MemStreamReadableStreamAutoEnd.prototype.push = function (chunk, encoding) {
        var result = _super.prototype.push.call(this, chunk, encoding);
        try {
            return result;
        }
        finally {
            if (!this.constructing) {
                this.emit('end');
            }
        }
    };
    MemStreamReadableStreamAutoEnd.prototype.readableCb = function () {
        // this.removeListener('readable', this.readableCb);
        // let readTest = this.read(0);
        // this.addListener('readable', this.readableCb);
        // if (!this.dataCbAdded) {
        //     this.dataCbAdded = true;
        //     this.addListener('data', this.dataCb);
        // }
        if (!this._readableState
            || this._readableState.length === null
            || this._readableState.length === undefined) {
            throw new Error('Not supported');
        }
        if (this._readableState.length <= 0) {
            this.removeListener('readable', this.readableCb);
            this.emit('end');
        }
    };
    return MemStreamReadableStreamAutoEnd;
}(memStreams.ReadableStream));
export { MemStreamReadableStreamAutoEnd };
//# sourceMappingURL=mem-stream-readable-stream-auto-end.js.map