import { TapeActionType, TapeAction } from '../api/tape';
export declare class TapeActionDefault {
    private _ownerSignatureStr;
    private _ownerCreationId;
    private _ownerCreationRefId;
    private _settedSignatureStr;
    private _settedCreationRefId;
    private _ownerPlayerType;
    private _actionType;
    private _fieldName;
    private _simpleSettedValue;
    private _attachRefId;
    /**
     * Getter attachRefId
     * @return {number}
     */
    /**
    * Setter attachRefId
    * @param {string} value
    */
    attachRefId: string;
    /**
     * Getter ownerSignatureStr
     * @return {string}
     */
    /**
    * Setter ownerSignatureStr
    * @param {string} value
    */
    ownerSignatureStr: string;
    /**
     * Getter ownerCreationId
     * @return {number}
     */
    /**
    * Setter ownerCreationId
    * @param {number} value
    */
    ownerCreationId: number;
    /**
     * Getter ownerCreationRefId
     * @return {number}
     */
    /**
    * Setter ownerCreationRefId
    * @param {number} value
    */
    ownerCreationRefId: number;
    /**
     * Getter settedSignatureStr
     * @return {string}
     */
    /**
    * Setter settedSignatureStr
    * @param {string} value
    */
    settedSignatureStr: string;
    /**
     * Getter settedCreationRefId
     * @return {number}
     */
    /**
    * Setter settedCreationRefId
    * @param {number} value
    */
    settedCreationRefId: number;
    /**
     * Getter ownerPlayerType
     * @return {string}
     */
    /**
    * Setter ownerPlayerType
    * @param {string} value
    */
    ownerPlayerType: string;
    /**
     * Getter actionType
     * @return {TapeActionType}
     */
    /**
    * Setter actionType
    * @param {TapeActionType} value
    */
    actionType: TapeActionType;
    /**
     * Getter fieldName
     * @return {string}
     */
    /**
    * Setter fieldName
    * @param {string} value
    */
    fieldName: string;
    /**
     * Getter resolvedSettedValue
     * @return {any}
     */
    /**
    * Setter resolvedSettedValue
    * @param {any} value
    */
    simpleSettedValue: any;
}
export declare class TapeDefault {
    private _actions;
    /**
     * Getter actions
     * @return {Array<TapeAction> }
     */
    /**
    * Setter actions
    * @param {Array<TapeAction> } value
    */
    actions: Array<TapeAction>;
}
