(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./src/main", "./src/api/recorder-config", "./src/api/recorder-decorators", "./src/api/generic-tokenizer", "./src/api/lazy-ref", "./src/api/tape", "./src/implementation/recorder-manager-default", "./src/implementation/recorder-config-default", "./src/implementation/recorder-session-default", "./src/implementation/rxjs-util", "./src/implementation/mem-stream-readable-stream-auto-end", "./src/implementation/recorder-constants", "./src/typeslike", "./src/main"], factory);
    }
})(function (require, exports) {
    function __export(m) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }
    Object.defineProperty(exports, "__esModule", { value: true });
    var main_1 = require("./src/main");
    __export(require("./src/api/recorder-config"));
    __export(require("./src/api/recorder-decorators"));
    __export(require("./src/api/generic-tokenizer"));
    __export(require("./src/api/lazy-ref"));
    __export(require("./src/api/tape"));
    // export * from './src/api/lazy-direct-Raw-write-on-reading-error';
    var recorder_manager_default_1 = require("./src/implementation/recorder-manager-default");
    exports.RecorderManagerDefault = recorder_manager_default_1.RecorderManagerDefault;
    var recorder_config_default_1 = require("./src/implementation/recorder-config-default");
    exports.RecorderConfigDefault = recorder_config_default_1.RecorderConfigDefault;
    exports.ConsoleLikeBase = recorder_config_default_1.ConsoleLikeBase;
    var recorder_session_default_1 = require("./src/implementation/recorder-session-default");
    exports.RecorderSessionDefault = recorder_session_default_1.RecorderSessionDefault;
    __export(require("./src/implementation/rxjs-util"));
    __export(require("./src/implementation/mem-stream-readable-stream-auto-end"));
    __export(require("./src/implementation/recorder-constants"));
    __export(require("./src/typeslike"));
    __export(require("./src/main"));
    main_1.Program.main();
});
//# sourceMappingURL=public_api.js.map