(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    var _a;
    Object.defineProperty(exports, "__esModule", { value: true });
    var StringStreamMarker = /** @class */ (function () {
        function StringStreamMarker() {
        }
        return StringStreamMarker;
    }());
    exports.StringStreamMarker = StringStreamMarker;
    var BinaryStreamMarker = /** @class */ (function () {
        function BinaryStreamMarker() {
        }
        return BinaryStreamMarker;
    }());
    exports.BinaryStreamMarker = BinaryStreamMarker;
    exports.NonWritableStreamExtraMethods = {
        get writable() {
            return false;
        },
        set writable(value) {
            throw new Error('NonWritableStreamExtraMethods');
        },
        write: function () {
            throw new Error('NonWritableStreamExtraMethods');
        },
        // write: (str: string, encoding?: string, cb?: Function): boolean => {
        //     throw new Error('WritableStream');
        // },
        end: function () {
            throw new Error('NonWritableStreamExtraMethods');
        }
        // end(cb?: Function): void;
        // end(buffer: Buffer, cb?: Function): void;
        // end(str: string, cb?: Function): void;
        // end(str: string, encoding?: string, cb?: Function): void;
    };
    exports.NonReadableStreamExtraMethods = (_a = {
            get readable() {
                return false;
            },
            set readable(value) {
                throw new Error('NonReadableStreamExtraMethods');
            },
            read: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            setEncoding: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            pause: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            resume: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            isPaused: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            pipe: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            unpipe: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            unshift: function () {
                throw new Error('NonWritableStreamExtraMethods');
            },
            wrap: function () {
                throw new Error('NonWritableStreamExtraMethods');
            }
        },
        _a[Symbol.asyncIterator] = function () {
            throw new Error('NonWritableStreamExtraMethods');
        },
        _a);
    var LazyRefPrpMarker = /** @class */ (function () {
        function LazyRefPrpMarker() {
        }
        return LazyRefPrpMarker;
    }());
    exports.LazyRefPrpMarker = LazyRefPrpMarker;
    var LazyRefOTMMarker = /** @class */ (function () {
        function LazyRefOTMMarker() {
        }
        return LazyRefOTMMarker;
    }());
    exports.LazyRefOTMMarker = LazyRefOTMMarker;
    var LazyRefMTOMarker = /** @class */ (function () {
        function LazyRefMTOMarker() {
        }
        return LazyRefMTOMarker;
    }());
    exports.LazyRefMTOMarker = LazyRefMTOMarker;
});
//# sourceMappingURL=lazy-ref.js.map