(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    Object.defineProperty(exports, "__esModule", { value: true });
    var RecorderLogLevel;
    (function (RecorderLogLevel) {
        RecorderLogLevel[RecorderLogLevel["Off"] = 9999] = "Off";
        RecorderLogLevel[RecorderLogLevel["Trace"] = 50] = "Trace";
        RecorderLogLevel[RecorderLogLevel["Debug"] = 100] = "Debug";
        RecorderLogLevel[RecorderLogLevel["Info"] = 150] = "Info";
        RecorderLogLevel[RecorderLogLevel["Warn"] = 200] = "Warn";
        RecorderLogLevel[RecorderLogLevel["Error"] = 250] = "Error";
    })(RecorderLogLevel = exports.RecorderLogLevel || (exports.RecorderLogLevel = {}));
    var RecorderLogger;
    (function (RecorderLogger) {
        RecorderLogger["All"] = "All";
        RecorderLogger["RecorderManagerDefault"] = "RecorderManagerDefault";
        RecorderLogger["RecorderSessionDefault"] = "RecorderSessionDefault";
        RecorderLogger["RecorderSessionDefaultLogRxOpr"] = "RecorderSessionDefault.logRxOpr";
        RecorderLogger["RecorderSessionDefaultMergeWithCustomizerPropertyReplection"] = "RecorderSessionDefault.mergeWithCustomizerPropertyReplection";
        RecorderLogger["RecorderSessionDefaultRestoreState"] = "RecorderSessionDefault.restoreEntireStateFromLiteral";
        RecorderLogger["RecorderDecorators"] = "RecorderDecorators";
        RecorderLogger["LazyRef"] = "LazyRef";
        RecorderLogger["LazyRefSubscribe"] = "LazyRef.subscribe";
        RecorderLogger["LazyRefBaseProcessResponse"] = "LazyRefBase.processResponse";
        RecorderLogger["SetCreator"] = "SetCreator";
    })(RecorderLogger = exports.RecorderLogger || (exports.RecorderLogger = {}));
});
//# sourceMappingURL=recorder-config.js.map