(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    Object.defineProperty(exports, "__esModule", { value: true });
    var TapeActionType;
    (function (TapeActionType) {
        TapeActionType[TapeActionType["Create"] = 'CREATE'] = "Create";
        TapeActionType[TapeActionType["Save"] = 'SAVE'] = "Save";
        TapeActionType[TapeActionType["Delete"] = 'DELETE'] = "Delete";
        TapeActionType[TapeActionType["SetField"] = 'SET_FIELD'] = "SetField";
        TapeActionType[TapeActionType["CollectionAdd"] = 'COLLECTION_ADD'] = "CollectionAdd";
        TapeActionType[TapeActionType["CollectionRemove"] = 'COLLECTION_REMOVE'] = "CollectionRemove";
    })(TapeActionType = exports.TapeActionType || (exports.TapeActionType = {}));
});
//# sourceMappingURL=tape.js.map