import { LodashLike } from '../implementation/lodash-like';
/**
 * TODO:
 */
var JSONHelper = /** @class */ (function () {
    function JSONHelper() {
    }
    JSONHelper.deepRemoveDashFields = function (obj, visitedSet) {
        for (var prop in obj) {
            if (prop.startsWith('_'))
                delete obj[prop];
            else if (LodashLike.isObject(obj[prop], new Set([Date, Buffer]))) {
                if (visitedSet.has(obj[prop])) {
                    //nada
                }
                else {
                    visitedSet.add(obj[prop]);
                    JSONHelper.deepRemoveDashFields(obj[prop], visitedSet);
                }
            }
        }
    };
    JSONHelper.createCollection = function (collType) {
        return new collType();
    };
    JSONHelper.isCollection = function (typeTested, instance) {
        return (typeTested === Array)
            || (typeTested === Set)
            || (LodashLike.isArrayLike(instance));
    };
    JSONHelper.addOnCollection = function (collection, element) {
        if (collection instanceof Array) {
            collection.push(element);
        }
        else if (collection instanceof Set) {
            collection.add(element);
        }
        else {
            throw new Error('Colecction nao suportada: ' + collection.prototype);
        }
    };
    JSONHelper.convertToLiteralObjectPriv = function (sourceObject, removeDashFields, customizerObj) {
        var result = null;
        if (sourceObject != null && JSONHelper.isCollection(sourceObject.constructor)) {
            var valueColl = JSONHelper.createCollection(sourceObject.constructor);
            for (var _i = 0, sourceObject_1 = sourceObject; _i < sourceObject_1.length; _i++) {
                var item = sourceObject_1[_i];
                if (LodashLike.isObject(item, new Set([Date, Buffer]))) {
                    JSONHelper.addOnCollection(valueColl, JSONHelper.convertToLiteralObjectPriv(item, removeDashFields, customizerObj));
                }
                else {
                    JSONHelper.addOnCollection(valueColl, item);
                }
            }
            result = valueColl;
        }
        else if (LodashLike.isObject(sourceObject, new Set([Date, Buffer]))) {
            result = LodashLike.mergeWith({}, sourceObject, customizerObj.customizer);
            if (removeDashFields) {
                JSONHelper.deepRemoveDashFields(result, new Set());
            }
        }
        else {
            result = sourceObject;
        }
        return result;
    };
    JSONHelper.convertToLiteralObject = function (sourceObject, removeDashFields) {
        var customizerObj = new JSONHelper.MergeWithCustomizerClass();
        return JSONHelper.convertToLiteralObjectPriv(sourceObject, removeDashFields, customizerObj);
    };
    /**
     * TODO:
     * @param k
     * @param v
     */
    // public static resolveRefs(jsonObj: any, removeJsId: boolean): any {
    //     let resolveRefMap: Map<number, any> = new Map<number, any>();
    //     JSONHelper.resolveRefsRecursivo(resolveRefMap, jsonObj, removeJsId);
    //     return jsonObj;
    // }
    // private static resolveRefsRecursivo(resolveRefMap: Map<number, any>, jsonObj: any, removeJsId: boolean) {
    //     let currParent: any = jsonObj;
    //     let array = Object.getOwnPropertyNames(jsonObj);
    //     array.forEach(fieldName => {
    //         let fieldValue: any = currParent[fieldName];
    //         if (typeof fieldValue !== 'object') {
    //             if (fieldName === 'jsId') {
    //                 (resolveRefMap as any)[fieldValue] = currParent;
    //                 if (removeJsId) {
    //                     delete currParent['jsId'];
    //                 }
    //             } else {
    //                 //nada
    //             }
    //         } else if (LodashLike.has(fieldValue, 'rJsId')) {
    //             let refJsId: any = fieldValue['rJsId'];
    //             currParent[fieldName] = (resolveRefMap as any)[refJsId];
    //         } else {
    //             JSONHelper.resolveRefsRecursivo(resolveRefMap, fieldValue, removeJsId);
    //         } 
    //     });
    // }
    JSONHelper.MergeWithCustomizerClass = /** @class */ (function () {
        function class_1() {
            var _this = this;
            //private visitedMap: Map<any, any>;
            this.customizer = function (value, srcValue) {
                if (srcValue != null && JSONHelper.isCollection(srcValue.constructor)) {
                    var valueColl = JSONHelper.createCollection(srcValue.constructor);
                    for (var _i = 0, srcValue_1 = srcValue; _i < srcValue_1.length; _i++) {
                        var item = srcValue_1[_i];
                        if (LodashLike.isObject(item, new Set([Date, Buffer]))) {
                            JSONHelper.addOnCollection(valueColl, LodashLike.mergeWith({}, item, _this.customizer));
                        }
                        else {
                            JSONHelper.addOnCollection(valueColl, item);
                        }
                    }
                    return valueColl;
                }
                else if (LodashLike.isObject(srcValue, new Set([Date, Buffer]))) {
                    LodashLike.mergeWith({}, srcValue, _this.customizer);
                }
                else {
                    return srcValue;
                }
            };
        }
        return class_1;
    }());
    return JSONHelper;
}());
export { JSONHelper };
//# sourceMappingURL=json-helper.js.map