export declare interface HeadersLike {
    has(name: string): boolean;
    get(name: string): string | null;
    keys(): string[];
    getAll(name: string): string[] | null;
}
export interface ResponseLike<T> {
    body: T | null;
    headers?: HeadersLike;
}
export interface ResponseLike<T> {
    body: T | null;
    headers?: HeadersLike;
}
export declare const TypeLike: FunctionConstructor;
export declare function isType(v: any): v is TypeLike<any>;
export interface TypeLike<T> extends Function {
    new (...args: any[]): T;
}
