import { Observable, of, throwError } from "rxjs";
import { map, flatMap, timeout, catchError, delay } from "rxjs/operators";
var DummyMarker = /** @class */ (function () {
    function DummyMarker() {
    }
    return DummyMarker;
}());
// export function combineFirstSerial<T>(array: Observable<T>[]): Observable<T[]> {
//     const resutlArr: T[] = new Array<T>(array.length);
//     const resutltObsArrRef = {value: of(dummyMarker) as Observable<T>};
//     const errorForStack = new Error('combineFirstSerial. Possible cycle!');
//     // for (let i = 0; i < array.length; i++) {
//     //     const element = array[i];
//     //     for (let j = i + 1; j < array.length; j++) {
//     //         const elementOther = array[j];
//     //         if (element === elementOther) {
//     //             console.log('same element\n' + errorForStack.stack);
//     //         }
//     //     }
//     // }
//     for (let index = 0; index < array.length; index++) {
//         const element$ = array[index];
//         const indexRef = {value: index};
//         resutltObsArrRef.value = resutltObsArrRef.value.pipe(
//             flatMap((resultT) => {
//                 //console.log((array as any).fooid);
//                 return element$;
//             }),
//             tap((element) => {
//                 if (element != dummyMarker) {
//                     //console.log((array as any).fooid);
//                     resutlArr[indexRef.value] = element;
//                 }
//             }),
//             share()
//             // ,tap((value) => {
//             //     if (!LodashLike.isNil(value)) {
//             //         if(repeatedValueSet.has(value)) {
//             //             console.error(errorForStack + '\n' + errorForStack.stack);
//             //         } else {
//             //             repeatedValueSet.add(value);
//             //         }
//             //     } 
//             // })
//         );
//         // if (!resutltObsArrRef.value) {
//         //     resutltObsArrRef.value = element$.pipe(
//         //         flatMapJustOnceRxOpr((resultT) => {
//         //             console.log(array.length);
//         //             resutlArr[indexRef.value] = resultT;
//         //             return element$;
//         //         })
//         //     );
//         // } else {
//         //     resutltObsArrRef.value = resutltObsArrRef.value.pipe(
//         //         flatMapJustOnceRxOpr((resultT) => {
//         //             console.log(array.length);
//         //             resutlArr[indexRef.value] = resultT;
//         //             return element$;
//         //         })
//         //     );
//         // }
//     }
//     // if (array.length > 0) {
//         return resutltObsArrRef.value.pipe(
//             // mapJustOnceRxOpr((resultT) => {
//             //     return resutlArr;
//             // })
//             map((resultT) => {
//                 return resutlArr;
//             })
//             // ,
//             // timeoutDecorateRxOpr()
//         );
//     // } else {
//     //     return of([]);
//     // }
// }
export function combineFirstSerial(array) {
    if (!array || array.length < 1) {
        return of([]);
    }
    var resutlArr = new Array(array.length);
    var decoratedArray = new Array(array.length);
    for (var index = 0; index < array.length; index++) {
        decoratedArray[index] = array[index].pipe(delay(0));
    }
    var indexRef = { value: 0 };
    var o$ = new Observable(function (subscriber) {
        var subscriberGoNextDecorated = {
            next: function (value) {
                resutlArr[indexRef.value] = value;
                indexRef.value++;
                if (!subscriber.closed) {
                    if (indexRef.value < array.length) {
                        var subs_1 = decoratedArray[indexRef.value].subscribe({
                            next: function (nextValue) {
                                try {
                                    if (indexRef.value < array.length) {
                                        subscriberGoNextDecorated.next(nextValue);
                                    }
                                    else {
                                    }
                                }
                                finally {
                                    if (subs_1) {
                                        subs_1.unsubscribe();
                                    }
                                }
                            },
                            error: function (err) {
                                if (subs_1) {
                                    subs_1.unsubscribe();
                                }
                                subscriber.error(err);
                            }
                        });
                    }
                    else {
                        subscriber.next(resutlArr);
                        subscriber.complete();
                    }
                }
                else {
                }
            },
            error: subscriber.error,
            complete: function () {
                //nothing
            }
        };
        decoratedArray[indexRef.value].subscribe(subscriberGoNextDecorated);
    });
    return o$;
}
export function mapJustOnceRxOpr(project) {
    var isPipedCallbackDone = { value: false, result: null };
    var rxOpr = function (source) {
        var projectExtentend = function (valueA, index) {
            if (!isPipedCallbackDone.value) {
                isPipedCallbackDone.value = true;
                isPipedCallbackDone.result = project(valueA, index);
            }
            return isPipedCallbackDone.result;
        };
        return source
            .pipe(map(projectExtentend));
    };
    //console.log('foobarfoobar');
    return rxOpr;
}
export function timeoutDecorateRxOpr() {
    var errTimeOut = new Error('timeout for provided observable');
    var rxOpr = function (source) {
        return source
            .pipe(timeout(3000), catchError(function (err) {
            console.error(err + '\n' + errTimeOut);
            return throwError(errTimeOut);
        }));
    };
    return rxOpr;
}
export function flatMapJustOnceRxOpr(project) {
    var isPipedCallbackDone = { value: false, result: null };
    var rxOpr = function (source) {
        var projectExtentend = function (valueB, index) {
            if (!isPipedCallbackDone.value) {
                isPipedCallbackDone.value = true;
                isPipedCallbackDone.result = project(valueB, index);
            }
            return isPipedCallbackDone.result;
        };
        return source
            .pipe(flatMap(projectExtentend));
    };
    return rxOpr;
}
//# sourceMappingURL=rxjs-util.js.map