export declare enum TapeActionType {
    Create,
    Save,
    Delete,
    SetField,
    CollectionAdd,
    CollectionRemove
}
export interface TapeAction {
    ownerSignatureStr?: string;
    ownerCreationId?: number;
    ownerCreationRefId?: number;
    settedSignatureStr?: string;
    settedCreationRefId?: number;
    ownerPlayerType?: string;
    actionType?: TapeActionType;
    fieldName?: string;
    simpleSettedValue?: any;
    attachRefId?: string;
}
export interface Tape {
    actions?: Array<TapeAction>;
}
