var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "rxjs", "../api/lazy-ref", "../api/recorder-config", "../api/recorder-config", "rxjs/operators", "./recorder-manager-default"], factory);
    }
})(function (require, exports) {
    Object.defineProperty(exports, "__esModule", { value: true });
    var rxjs_1 = require("rxjs");
    var lazy_ref_1 = require("../api/lazy-ref");
    var recorder_config_1 = require("../api/recorder-config");
    var recorder_config_2 = require("../api/recorder-config");
    var operators_1 = require("rxjs/operators");
    var recorder_manager_default_1 = require("./recorder-manager-default");
    var LazyRefBase = /** @class */ (function (_super) {
        __extends(LazyRefBase, _super);
        function LazyRefBase(session) {
            var _this = _super.call(this) || this;
            _this.iAmLazyRef = true;
            _this.iAmLazyRefImplementor = true;
            _this.notificationStartTime = Date.now();
            _this.notificationCount = 0;
            _this._isOnLazyLoading = false;
            _this._needCallNextOnSetLazyObj = true;
            _this._subscribeFromAsObservable = false;
            _this.DummyCurrNextValueClass = /** @class */ (function () {
                function class_1() {
                }
                return class_1;
            }());
            _this.dummyCurrtNextValueInstance = new _this.DummyCurrNextValueClass();
            _this.currNextValue = _this.dummyCurrtNextValueInstance;
            _this.firstSubscribeOcurrence = true;
            _this._observerOriginalMap = new Map();
            _this._observerOriginalInverseMap = new Map();
            _this._fieldProcessorEvents = {};
            var thisLocal = _this;
            _this._session = session;
            thisLocal.consoleLike = _this.session.manager.config.getConsole(recorder_config_2.RecorderLogger.LazyRef);
            thisLocal.consoleLikeProcResp = _this.session.manager.config.getConsole(recorder_config_2.RecorderLogger.LazyRefBaseProcessResponse);
            thisLocal.consoleLikeSubs = _this.session.manager.config.getConsole(recorder_config_2.RecorderLogger.LazyRefSubscribe);
            _this._lazyLoadedObj = null;
            return _this;
        }
        Object.defineProperty(LazyRefBase.prototype, "instanceId", {
            get: function () {
                return this._instanceId;
            },
            set: function (value) {
                this._instanceId = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "isOnLazyLoading", {
            get: function () {
                return this._isOnLazyLoading;
            },
            enumerable: true,
            configurable: true
        });
        LazyRefBase.prototype.flatMapKeepAllFlagsRxOprPriv = function (when, project, concurrent) {
            var thisLocal = this;
            var syncIsOn = thisLocal._isOnLazyLoading;
            var syncIsOn2 = this._needCallNextOnSetLazyObj;
            var isPipedCallbackDone = { value: false, result: null };
            var newOp = function (source) {
                var projectExtentend = function (value, index) {
                    if (!isPipedCallbackDone.value || when === 'eachPipe') {
                        isPipedCallbackDone.value = true;
                        var asyncIsOn = thisLocal._isOnLazyLoading;
                        var asyncIsOn2 = thisLocal._needCallNextOnSetLazyObj;
                        thisLocal._isOnLazyLoading = syncIsOn;
                        thisLocal._needCallNextOnSetLazyObj = syncIsOn2;
                        try {
                            isPipedCallbackDone.result = project(value, index);
                        }
                        finally {
                            thisLocal._isOnLazyLoading = asyncIsOn;
                            thisLocal._needCallNextOnSetLazyObj = asyncIsOn2;
                        }
                    }
                    return isPipedCallbackDone.result;
                };
                return source
                    .pipe(operators_1.flatMap(projectExtentend, concurrent));
            };
            return newOp;
        };
        LazyRefBase.prototype.flatMapKeepAllFlagsRxOpr = function (project) {
            return this.flatMapKeepAllFlagsRxOprPriv('eachPipe', project);
        };
        LazyRefBase.prototype.flatMapJustOnceKeepAllFlagsRxOpr = function (project) {
            return this.flatMapKeepAllFlagsRxOprPriv('justOnce', project);
        };
        LazyRefBase.prototype.mapKeepAllFlagsRxOprHelper = function (when, project) {
            var thisLocal = this;
            var syncIsOn = this._isOnLazyLoading;
            var syncIsOn2 = this._needCallNextOnSetLazyObj;
            var isPipedCallbackDone = { value: false, result: null };
            var newOp = function (source) {
                var projectExtentend = function (value, index) {
                    if (!isPipedCallbackDone.value || when === 'eachPipe') {
                        isPipedCallbackDone.value = true;
                        var asyncIsOn = thisLocal._isOnLazyLoading;
                        var asyncIsOn2 = thisLocal._needCallNextOnSetLazyObj;
                        thisLocal._isOnLazyLoading = syncIsOn;
                        thisLocal._needCallNextOnSetLazyObj = syncIsOn2;
                        try {
                            isPipedCallbackDone.result = project(value, index);
                        }
                        finally {
                            thisLocal._isOnLazyLoading = asyncIsOn;
                            thisLocal._needCallNextOnSetLazyObj = asyncIsOn2;
                        }
                    }
                    return isPipedCallbackDone.result;
                };
                return source
                    .pipe(operators_1.map(projectExtentend));
            };
            return newOp;
        };
        LazyRefBase.prototype.mapJustOnceKeepAllFlagsRxOpr = function (project) {
            return this.mapKeepAllFlagsRxOprHelper('justOnce', project);
        };
        LazyRefBase.prototype.setLazyObjOnLazyLoading = function (lazyLoadedObj, observerOriginal) {
            var thisLocal = this;
            this.lazyLoadingCallbackTemplate(function () {
                thisLocal.setLazyObjInternal(lazyLoadedObj, observerOriginal);
            });
        };
        LazyRefBase.prototype.setLazyObjOnLazyLoadingProt = function (lazyLoadedObj, observerOriginal) {
            var thisLocal = this;
            this.lazyLoadingCallbackTemplate(function () {
                thisLocal.setLazyObjInternal(lazyLoadedObj, observerOriginal);
            });
        };
        LazyRefBase.prototype.isLazyLoaded = function () {
            return this.respObs == null && this.lazyLoadedObj != null;
        };
        ;
        LazyRefBase.prototype.setLazyObjOnLazyLoadingNoNext = function (lazyLoadedObj) {
            var _this = this;
            var thisLocal = this;
            this.noNextCallbackTemplate(function () {
                return _this.lazyLoadingCallbackTemplate(function () {
                    thisLocal.setLazyObjInternal(lazyLoadedObj, null);
                });
            });
        };
        LazyRefBase.prototype.setLazyObjNoNext = function (lazyLoadedObj) {
            var thisLocal = this;
            this.noNextCallbackTemplate(function () {
                thisLocal.setLazyObjInternal(lazyLoadedObj, null);
            });
        };
        LazyRefBase.prototype.notifyModification = function (lazyLoadedObj) {
            this.notificationCount++;
            var currentLazyRefNotificationTimeMeasurement = Date.now() - this.notificationStartTime;
            if (currentLazyRefNotificationTimeMeasurement > this.session.manager.config.lazyRefNotificationTimeMeasurement
                || this.notificationCount > this.session.manager.config.lazyRefNotificationCountMeasurement) {
                var speedPerSecond = (this.notificationCount / currentLazyRefNotificationTimeMeasurement) * 1000;
                this.notificationStartTime = Date.now();
                this.notificationCount = 0;
                if (speedPerSecond > this.session.manager.config.maxLazyRefNotificationPerSecond) {
                    throw new Error('Max notications per second exceded: ' +
                        speedPerSecond + '. Are you modifing any persistent ' +
                        'entity or collection on subscribe() instead of ' +
                        'subscribeToModify() or ' +
                        'is IConfig.maxLazyRefNotificationPerSecond, ' +
                        this.session.manager.config.maxLazyRefNotificationPerSecond +
                        ', misconfigured? Me:\n' +
                        this);
                }
            }
            this.nextProt(true, lazyLoadedObj, null);
        };
        LazyRefBase.prototype.processResponseOnLazyLoading = function (responselike) {
            var thisLocal = this;
            return this.lazyLoadingCallbackTemplate(function () {
                return thisLocal.processResponse(responselike);
            });
        };
        LazyRefBase.prototype.lazyLoadingCallbackTemplate = function (callback) {
            try {
                this._isOnLazyLoading = true;
                return callback();
            }
            finally {
                this._isOnLazyLoading = false;
            }
        };
        LazyRefBase.prototype.noNextCallbackTemplate = function (callback) {
            try {
                this._needCallNextOnSetLazyObj = false;
                return callback();
            }
            finally {
                this._needCallNextOnSetLazyObj = true;
            }
        };
        LazyRefBase.prototype.setLazyObjInternal = function (lazyLoadedObj, observerOriginal) {
            //const asyncCombineObsArr: Observable<any>[] = [];
            var fieldEtc = recorder_manager_default_1.RecorderManagerDefault.resolveFieldProcessorPropOptsEtc(this.session.fielEtcCacheMap, this.refererObj, this.refererKey, this.session.manager.config);
            if (!fieldEtc.propertyOptions) {
                throw new Error('@RecorderDecorators.property() not defined for ' + this.refererObj.constructor.name + '.' + this.refererKey);
            }
            //Validating
            if (!this.refererObj || !this.refererKey) {
                throw new Error('The property \'' + this.refererKey + ' has no refererObj or refererKey' + '. Me:\n' + this);
            }
            if (fieldEtc.prpGenType == null) {
                throw new Error('The property \'' + this.refererKey + ' from \'' + this.refererObj.constructor.name + '\' is not decorated with com \'@Reflect.metadata("design:generics", GenericTokenizer\'...' + '. Me:\n' + this);
            }
            if (fieldEtc.lazyRefMarkerType !== lazy_ref_1.LazyRefOTMMarker && fieldEtc.lazyRefMarkerType !== lazy_ref_1.LazyRefMTOMarker && fieldEtc.lazyRefMarkerType !== lazy_ref_1.LazyRefPrpMarker) {
                throw new Error('The property \'' + this.refererKey + ' from \'' + this.refererObj.constructor.name + '\' is not LazyRef. Me:\n' + this);
            }
            if (fieldEtc.prpGenType.gType !== lazy_ref_1.LazyRefOTMMarker && fieldEtc.prpGenType.gType !== lazy_ref_1.LazyRefMTOMarker && fieldEtc.prpGenType.gType !== lazy_ref_1.LazyRefPrpMarker) {
                throw new Error('The property \'' + this.refererKey + ' from \'' + this.refererObj.constructor.name + '\' is not LazyRef. Me:\n' + this);
            }
            if ((fieldEtc.otmCollectionType === Set || fieldEtc.otmCollectionType === Array) && !this._isOnLazyLoading) {
                throw new Error('The property \'' + this.refererKey + ' from \'' + this.refererObj.constructor.name + '\' can not be changed because this is a collection: \'' + fieldEtc.otmCollectionType.name + '\'' + '. Me:\n' + this);
            }
            //null to response.
            this.setLazyObj(lazyLoadedObj, observerOriginal);
        };
        LazyRefBase.prototype.setLazyObjMayDoNextHelper = function (isValueByFieldProcessor, fieldEtc, newLazyLoadedObj, observerOriginal) {
            var thisLocal = this;
            if (newLazyLoadedObj !== thisLocal._lazyLoadedObj) {
                thisLocal._lazyLoadedObj = newLazyLoadedObj;
                if (!isValueByFieldProcessor.value && fieldEtc.prpGenType.gType !== lazy_ref_1.LazyRefPrpMarker) {
                    if (thisLocal.lazyLoadedObj) {
                        thisLocal.session.registerEntityAndLazyref(thisLocal.lazyLoadedObj, thisLocal);
                    }
                }
                if (thisLocal._needCallNextOnSetLazyObj) {
                    thisLocal.nextProt(true, thisLocal.lazyLoadedObj, observerOriginal);
                }
            }
        };
        Object.defineProperty(LazyRefBase.prototype, "subscribeFromAsObservable", {
            get: function () {
                return this._subscribeFromAsObservable;
            },
            set: function (value) {
                this._subscribeFromAsObservable = value;
            },
            enumerable: true,
            configurable: true
        });
        LazyRefBase.prototype.asObservable = function () {
            var thisLocal = this;
            return _super.prototype.asObservable.call(this).pipe(operators_1.tap(function () {
                thisLocal.subscribeFromAsObservable = true;
            }));
        };
        LazyRefBase.prototype.createAndRegisterObserverOriginal = function (observerOrNext, error, complete) {
            var observerOriginal;
            if (observerOrNext.next
                || observerOrNext.complete
                || observerOrNext.error
                || observerOrNext.next) {
                if (error || complete) {
                    throw new Error('observerOrNext is a PartialObserver and error or complete are passed as parameter');
                }
                observerOriginal = observerOrNext;
            }
            else {
                observerOriginal = {
                    next: observerOrNext,
                    error: error,
                    complete: complete
                };
            }
            if (this.session.manager.config.tryReduceLazyRefSubescribersRerun) {
                while (observerOrNext.destination) {
                    observerOrNext = observerOrNext.destination;
                }
                this._observerOriginalMap.set(observerOrNext || error || complete, observerOriginal);
                this._observerOriginalInverseMap.set(observerOriginal, observerOrNext || error || complete);
            }
            return observerOriginal;
        };
        /**
         * Do super.next only if is the first subscribe ocurred or is the value
         * is diferent from the last value or is forceSuper.
         * @param forceSuper
         * @param value
         */
        LazyRefBase.prototype.nextProt = function (forceSuper, value, observerOriginal) {
            var observerOriginalNotRunned = true;
            if (this.session.manager.config.tryReduceLazyRefSubescribersRerun) {
                observerOriginalNotRunned = this._observerOriginalMap.has(this._observerOriginalInverseMap.get(observerOriginal));
                this._observerOriginalMap.delete(this._observerOriginalInverseMap.get(observerOriginal));
                this._observerOriginalInverseMap.delete(observerOriginal);
            }
            if (this.firstSubscribeOcurrence) {
                this.next(value);
            }
            else if (value !== this.currNextValue) {
                this.next(value);
            }
            else if (forceSuper) {
                this.next(value);
            }
            else {
                try {
                    if (observerOriginal.next && observerOriginalNotRunned) {
                        observerOriginal.next((value));
                    }
                }
                catch (err) {
                    if (observerOriginal.error) {
                        observerOriginal.error(err);
                    }
                }
                finally {
                    observerOriginal.closed = true;
                    if (observerOriginal.complete) {
                        observerOriginal.complete();
                    }
                }
            }
        };
        LazyRefBase.prototype.next = function (value) {
            this.firstSubscribeOcurrence = false;
            this.currNextValue = value;
            _super.prototype.next.call(this, value);
        };
        LazyRefBase.prototype.subscribe = function (observerOrNext, error, complete) {
            var thisLocal = this;
            thisLocal._subscribeFromAsObservable = false;
            return _super.prototype.subscribe.call(this, observerOrNext, error, complete);
        };
        LazyRefBase.prototype.subscribeToModify = function (observerOrNext, error, complete) {
            var _this = this;
            var thisLocal = this;
            var observerOriginal = this.createAndRegisterObserverOriginal(observerOrNext, error, complete);
            var observerNew = __assign({}, observerOriginal);
            if (!this.isLazyLoaded()) {
                observerNew.next = function (value) {
                    if (thisLocal.consoleLikeSubs.enabledFor(recorder_config_1.RecorderLogLevel.Trace)) {
                        thisLocal.consoleLikeSubs.group('(Asynchronous) LazyRef.subscribeToChange() => modifiedNext, (thisLocal.respObs != null)');
                        thisLocal.consoleLikeSubs.debug('calling nextOriginal()');
                        thisLocal.consoleLikeSubs.debug('this.subscriptionToChange.unsubscribe()');
                        thisLocal.consoleLikeSubs.debug('this.next()\n' + _this);
                        thisLocal.consoleLikeSubs.debug(thisLocal.lazyLoadedObj);
                        thisLocal.consoleLikeSubs.groupEnd();
                    }
                    thisLocal.setLazyObjOnLazyLoadingNoNext(value);
                    // AAAAASYNCHRONOUS OF AAAAASYNCHRONOUS!!!
                    //propety set and collection add will call session.notifyAllLazyrefsAboutEntityModification()
                    // this will cause infinit recursion, so call session.switchOffNotifyAllLazyrefs
                    thisLocal.session.switchOffNotifyAllLazyrefs(thisLocal.lazyLoadedObj);
                    //call that will change the data Asynchronously
                    if (observerOriginal.next) {
                        observerOriginal.next(thisLocal.lazyLoadedObj);
                    }
                    //no more problems with infinite recursion
                    thisLocal.session.switchOnNotifyAllLazyrefs(thisLocal.lazyLoadedObj);
                    //this ensures that the change command will not be called twice.
                    _this.subscriptionToChangeUnsubscribe();
                    //here all other previous subscribes will be called. Pipe async's for example
                    thisLocal.nextProt(true, thisLocal.lazyLoadedObj, observerOriginal);
                };
                if (thisLocal.consoleLikeSubs.enabledFor(recorder_config_1.RecorderLogLevel.Trace)) {
                    thisLocal.consoleLikeSubs.debug('Keeping Subscription from this.subscribe(observerOrNextNovo) on this.subscriptionToChange to make an unsubscribe() at the end of modifiedNext callback\n' + this);
                }
                this.subscriptionToChange = this.subscribe(observerNew);
                //this.subscriptionToChangeUnsubscribe();
                //thisLocal.next(thisLocal.lazyLoadedObj);
                //AAAAASYNCHRONOUS!!!
            }
            else {
                //SSSSSYNCHRONOUS!!!
                if (thisLocal.consoleLikeSubs.enabledFor(recorder_config_1.RecorderLogLevel.Trace)) {
                    thisLocal.consoleLikeSubs.group('(Synchronous) LazyRef.subscribeToChange()');
                    thisLocal.consoleLikeSubs.debug('calling nextOriginal()');
                    thisLocal.consoleLikeSubs.debug('this.next()\n' + this);
                    thisLocal.consoleLikeSubs.groupEnd();
                }
                try {
                    //that will change the data Synchronously
                    if (observerOriginal.next) {
                        observerOriginal.next(thisLocal.lazyLoadedObj);
                    }
                    //here all the other observer's will be called. Pipe async's for example
                    thisLocal.nextProt(true, thisLocal.lazyLoadedObj, observerOriginal);
                }
                catch (err) {
                    if (observerOriginal.error) {
                        observerOriginal.error(err);
                    }
                    else {
                        throw __assign({}, new Error('unexpected'), { reason: err, cause: err });
                    }
                }
            }
        };
        LazyRefBase.prototype.subscriptionToChangeUnsubscribe = function () {
            var thisLocal = this;
            if (thisLocal.consoleLikeSubs.enabledFor(recorder_config_1.RecorderLogLevel.Trace)) {
                thisLocal.consoleLikeSubs.debug('LazyRefBase: unsubscribe after this.subscribeToChange. Me\n' + this);
            }
            this.subscriptionToChange.unsubscribe();
            this.session.notifyAllLazyrefsAboutEntityModification(this.lazyLoadedObj, thisLocal);
        };
        LazyRefBase.prototype.lazyRefPrpStoreOriginalliteralEntryIfNeeded = function (mdRefererObj, fieldEtc, playerSnapshot) {
            var thisLocal = this;
            if (!this.session.isOnRestoreEntireStateFromLiteral()) {
                if (thisLocal.consoleLike.enabledFor(recorder_config_1.RecorderLogLevel.Trace)) {
                    thisLocal.consoleLike.debug('LazyRefBase.processResponse: Storing LazyRefPrp. Me:\n' + this);
                }
                if (this.attachRefId) {
                    this.session.storeOriginalLiteralEntry({
                        method: 'lazyRef',
                        ownerSignatureStr: mdRefererObj.$signature$,
                        ownerFieldName: this.refererKey,
                        attachRefId: this.attachRefId,
                        ref: {
                            iAmAnEntityRef: true,
                            signatureStr: thisLocal.signatureStr
                        }
                    });
                }
                else {
                    this.session.storeOriginalLiteralEntry({
                        method: 'lazyRef',
                        ownerSignatureStr: mdRefererObj.$signature$,
                        ownerFieldName: this.refererKey,
                        playerSnapshot: playerSnapshot,
                        ref: {
                            iAmAnEntityRef: true,
                            signatureStr: thisLocal.signatureStr
                        }
                    });
                }
            }
            if (thisLocal.consoleLike.enabledFor(recorder_config_1.RecorderLogLevel.Trace)) {
                thisLocal.consoleLike.group('LazyRefBase.processResponse: Storing LazyRefPrp, keeping reference by signature ' + this.signatureStr);
                thisLocal.consoleLike.debug(this.lazyLoadedObj);
                thisLocal.consoleLike.groupEnd();
            }
            if (fieldEtc.prpGenType.gType !== lazy_ref_1.LazyRefPrpMarker) {
                this.session.tryCacheInstanceBySignature({
                    realInstance: this.lazyLoadedObj,
                    playerSnapshot: playerSnapshot,
                    lazySignature: this.signatureStr
                });
            }
        };
        Object.defineProperty(LazyRefBase.prototype, "lazyLoadedObj", {
            get: function () {
                return this._lazyLoadedObj;
            },
            set: function (value) {
                this._lazyLoadedObj = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "signatureStr", {
            get: function () {
                return this._signatureStr;
            },
            set: function (value) {
                this._signatureStr = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "respObs", {
            get: function () {
                return this._respObs;
            },
            set: function (value) {
                this._respObs = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "fieldProcessorEvents", {
            /** Framework internal use. */
            get: function () {
                return this._fieldProcessorEvents;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "refererObj", {
            get: function () {
                return this._refererObj;
            },
            set: function (value) {
                this._refererObj = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "refererKey", {
            get: function () {
                return this._refererKey;
            },
            set: function (value) {
                this._refererKey = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "session", {
            get: function () {
                return this._session;
            },
            set: function (value) {
                this._session = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LazyRefBase.prototype, "genericNode", {
            get: function () {
                return this._genericNode;
            },
            set: function (value) {
                this._genericNode = value;
            },
            enumerable: true,
            configurable: true
        });
        LazyRefBase.prototype.toString = function () {
            var thisLocal = this;
            return JSON.stringify({
                instanceId: thisLocal.instanceId,
                iAmLazyRef: thisLocal.iAmLazyRef,
                refererKey: thisLocal.refererKey,
                refererObj: thisLocal.refererObj
                    && thisLocal.refererObj.constructor
                    && thisLocal.refererObj.constructor.name ?
                    thisLocal.refererObj.constructor.name
                    : null,
                "isLazyLoaded()": thisLocal.isLazyLoaded(),
                genericNode: thisLocal.genericNode ? thisLocal.genericNode.toString() : null,
                signatureStr: thisLocal.signatureStr
            }, null, 2);
        };
        return LazyRefBase;
    }(rxjs_1.Subject));
    exports.LazyRefBase = LazyRefBase;
});
//# sourceMappingURL=lazy-ref-base.js.map