import { RecorderSessionImplementor } from '../../src/api/recorder-session';
export declare class SetCreator<T> {
    private _session;
    private _refererObj;
    private _refererKey;
    private consoleLike;
    constructor(_session: RecorderSessionImplementor, _refererObj: any, _refererKey: string);
    createByProxy(): Set<T>;
    add(targetSet: Set<T>, value: T): void;
    delete(targetSet: Set<T>, value: T): void;
    /**
     * Getter session
     * @return {RecorderSession}
     */
    /**
    * Setter session
    * @param {RecorderSession} value
    */
    session: RecorderSessionImplementor;
    /**
     * Getter refererObj
     * @return {any}
     */
    /**
    * Setter refererObj
    * @param {any} value
    */
    refererObj: any;
    /**
     * Getter refererKey
     * @return {string}
     */
    /**
    * Setter refererKey
    * @param {string} value
    */
    refererKey: string;
}
