(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    Object.defineProperty(exports, "__esModule", { value: true });
    var TapeActionDefault = /** @class */ (function () {
        function TapeActionDefault() {
        }
        Object.defineProperty(TapeActionDefault.prototype, "attachRefId", {
            /**
             * Getter attachRefId
             * @return {number}
             */
            get: function () {
                return this._attachRefId;
            },
            /**
             * Setter attachRefId
             * @param {string} value
             */
            set: function (value) {
                this._attachRefId = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "ownerSignatureStr", {
            /**
             * Getter ownerSignatureStr
             * @return {string}
             */
            get: function () {
                return this._ownerSignatureStr;
            },
            /**
             * Setter ownerSignatureStr
             * @param {string} value
             */
            set: function (value) {
                this._ownerSignatureStr = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "ownerCreationId", {
            /**
             * Getter ownerCreationId
             * @return {number}
             */
            get: function () {
                return this._ownerCreationId;
            },
            /**
             * Setter ownerCreationId
             * @param {number} value
             */
            set: function (value) {
                this._ownerCreationId = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "ownerCreationRefId", {
            /**
             * Getter ownerCreationRefId
             * @return {number}
             */
            get: function () {
                return this._ownerCreationRefId;
            },
            /**
             * Setter ownerCreationRefId
             * @param {number} value
             */
            set: function (value) {
                this._ownerCreationRefId = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "settedSignatureStr", {
            /**
             * Getter settedSignatureStr
             * @return {string}
             */
            get: function () {
                return this._settedSignatureStr;
            },
            /**
             * Setter settedSignatureStr
             * @param {string} value
             */
            set: function (value) {
                this._settedSignatureStr = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "settedCreationRefId", {
            /**
             * Getter settedCreationRefId
             * @return {number}
             */
            get: function () {
                return this._settedCreationRefId;
            },
            /**
             * Setter settedCreationRefId
             * @param {number} value
             */
            set: function (value) {
                this._settedCreationRefId = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "ownerPlayerType", {
            /**
             * Getter ownerPlayerType
             * @return {string}
             */
            get: function () {
                return this._ownerPlayerType;
            },
            /**
             * Setter ownerPlayerType
             * @param {string} value
             */
            set: function (value) {
                this._ownerPlayerType = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "actionType", {
            /**
             * Getter actionType
             * @return {TapeActionType}
             */
            get: function () {
                return this._actionType;
            },
            /**
             * Setter actionType
             * @param {TapeActionType} value
             */
            set: function (value) {
                this._actionType = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "fieldName", {
            /**
             * Getter fieldName
             * @return {string}
             */
            get: function () {
                return this._fieldName;
            },
            /**
             * Setter fieldName
             * @param {string} value
             */
            set: function (value) {
                this._fieldName = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(TapeActionDefault.prototype, "simpleSettedValue", {
            /**
             * Getter resolvedSettedValue
             * @return {any}
             */
            get: function () {
                return this._simpleSettedValue;
            },
            /**
             * Setter resolvedSettedValue
             * @param {any} value
             */
            set: function (value) {
                this._simpleSettedValue = value;
            },
            enumerable: true,
            configurable: true
        });
        return TapeActionDefault;
    }());
    exports.TapeActionDefault = TapeActionDefault;
    var TapeDefault = /** @class */ (function () {
        function TapeDefault() {
            this._actions = new Array();
        }
        Object.defineProperty(TapeDefault.prototype, "actions", {
            /**
             * Getter actions
             * @return {Array<TapeAction> }
             */
            get: function () {
                return this._actions;
            },
            /**
             * Setter actions
             * @param {Array<TapeAction> } value
             */
            set: function (value) {
                this._actions = value;
            },
            enumerable: true,
            configurable: true
        });
        return TapeDefault;
    }());
    exports.TapeDefault = TapeDefault;
});
//# sourceMappingURL=tape-default.js.map